Option Explicit

'Define the constants needed
const Error_FileNotFound = &H80070002
const PINsafe_Filter_GUID = "{EC88B6F5-7AE3-4c17-9C60-9C17B7020DAA}"
const PINsafe_Filter_Name = "PINsafe Authentication Filter"
const PINsafe_Filter_File = "PINsafeISAFilter.dll"
const fpcFilterPriority_High = 2
const fpcFilterDirectionReverse = 1

Main(WScript.Arguments)

Sub Main(args)
    
    If(0 = args.Count) Then
        RegisterWebFilter "", PINsafe_Filter_File, "", "", ""
    ElseIf(1 = args.Count) Then
        RegisterWebFilter args(0), PINsafe_Filter_File, "", "", ""
    ElseIf(2 = args.Count) Then
        RegisterWebFilter args(0), args(1), "", "", "", ""
    ElseIf(4 = args.Count) Then
        RegisterWebFilter args(0), args(1), args(2), args(3), ""
    ElseIf(5 = args.Count) Then
        RegisterWebFilter args(0), args(1), args(2), args(3), args(4)
    End If
	
End Sub

Sub RegisterWebFilter(cssName, filterFile, username, password, domain)

    ' Create the root obect.
    Dim root  ' The FPCLib.FPC root object
    Set root = CreateObject("FPC.Root")

    ' Connect to the Configuration Storage server.
	root.ConnectToConfigurationStorageServer cssName, username, domain, password

	' Get the enterprise object
	Dim entServer
	Set entServer = root.Enterprise
	
	' Get the extensions object
	Dim extensions
	Set extensions = entServer.Extensions
	
	' Get the web filters object
	Dim webFilters
	Set webFilters = extensions.WebFilters
	
	' Add the PINsafe web filter
	webFilters.Add PINsafe_Filter_GUID, _
		PINsafe_Filter_Name, _
		filterFile, _
		fpcFilterPriority_High, _
		fpcFilterDirectionReverse
	
	webFilters.Save()
	
    ' Connect to the Configuration Storage server.
	root.DisconnectFromConfigurationStorageServer()
	
End Sub