Option Explicit

'Define the constants needed
const Error_FileNotFound = &H80070002
const PINsafe_Filter_GUID = "{EC88B6F5-7AE3-4c17-9C60-9C17B7020DAA}"
const PINsafe_Filter_Name = "PINsafe Authentication Filter"
const PINsafe_Filter_File = "PINsafeISAFilter.dll"
const fpcFilterPriority_High = 2
const fpcFilterDirectionReverse = 1
const fpcInclude = 0

Main(WScript.Arguments)

Sub Main(args)
    
    If(0 = args.Count) Then
        RegisterWebFilter "", PINsafe_Filter_File, "", "", ""
    ElseIf(1 = args.Count) Then
        RegisterWebFilter args(0), PINsafe_Filter_File, "", "", ""
    ElseIf(2 = args.Count) Then
        RegisterWebFilter args(0), args(1), "", "", "", ""
    ElseIf(4 = args.Count) Then
        RegisterWebFilter args(0), args(1), args(2), args(3), ""
    ElseIf(5 = args.Count) Then
        RegisterWebFilter args(0), args(1), args(2), args(3), args(4)
    End If
	
End Sub

Sub RegisterWebFilter(cssName, filterFile, username, password, domain)

    ' Create the root obect.
    Dim root  ' The FPCLib.FPC root object
    Set root = CreateObject("FPC.Root")

	' Get the server object
	Dim server
	Set server = root.GetContainingServer()
	
	' Get the web filters object
	Dim webFilters
	Set webFilters = server.InstalledWebFilters
	
	' Add the PINsafe web filter
	On Error Resume Next
	webFilters.Add PINsafe_Filter_GUID, fpcInclude
	
	server.Save()
	
End Sub